from rest_framework import serializers
from arkindex.documents.models import Element, ElementType
from arkindex.project.serializer_fields import EnumField


class ElementLightSerializer(serializers.ModelSerializer):
    """
    Serialises a Element
    """
    type = EnumField(ElementType)

    class Meta:
        model = Element
        fields = (
            'id',
            'type',
            'name',
        )
