from unittest import TestCase
from arkindex.project.tests import RedisMockMixin
from arkindex.documents.tasks import reindex_acts, reindex_transcriptions


class TestTasks(RedisMockMixin, TestCase):
    """Tests for asynchronous tasks"""

    def test_reindex_acts(self):
        reindex_acts.delay()
        reindex_acts.delay()
        self.assertEqual(self.redis.llen('celery'), 1)

    def test_reindex_transcriptions(self):
        reindex_transcriptions.delay()
        reindex_transcriptions.delay()
        self.assertEqual(self.redis.llen('celery'), 1)
